Bug 40499 - Autotext Numbered formula
Summary: Autotext Numbered formula
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-30 13:38 UTC by Laurent BP
Modified: 2011-09-01 09:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Replacement for en-US: autotext\lang\en-US\standard.bau (65.76 KB, application/octet-stream)
2011-08-30 13:38 UTC, Laurent BP
Details
Replacement for cs: autotext\lang\cs\standard.bau (96.84 KB, application/octet-stream)
2011-08-30 13:47 UTC, Laurent BP
Details
Replacement for da: autotext\lang\da\standard.bau (65.63 KB, application/octet-stream)
2011-08-30 13:51 UTC, Laurent BP
Details
Replacement for da: autotext\lang\da\standard.bau (corrected) (65.63 KB, application/octet-stream)
2011-08-30 13:55 UTC, Laurent BP
Details
Replacement for en-US: autotext\lang\en-US\standard.bau (zip OK) (62.89 KB, application/octet-stream)
2011-08-30 14:04 UTC, Laurent BP
Details
Replacement for cs: autotext\lang\cs\standard.bau (zip OK) (91.43 KB, application/octet-stream)
2011-08-30 14:05 UTC, Laurent BP
Details
Replacement for da: autotext\lang\da\standard.bau (zip OK) (62.76 KB, application/octet-stream)
2011-08-30 14:07 UTC, Laurent BP
Details
Replacement for de: autotext\lang\de\standard.bau (50.87 KB, application/octet-stream)
2011-08-30 14:08 UTC, Laurent BP
Details
Replacement for en-GB: autotext\lang\en-GB\standard.bau (74.37 KB, application/octet-stream)
2011-08-30 14:12 UTC, Laurent BP
Details
Replacement for es: autotext\lang\es\standard.bau (45.98 KB, application/octet-stream)
2011-08-30 14:15 UTC, Laurent BP
Details
Replacement for eu: autotext\lang\eu\standard.bau (62.89 KB, application/octet-stream)
2011-08-30 14:18 UTC, Laurent BP
Details
Replacement for fr: autotext\lang\fr\standard.bau (51.18 KB, application/octet-stream)
2011-08-30 14:20 UTC, Laurent BP
Details
Replacement for hu: autotext\lang\hu\standard.bau (51.06 KB, application/octet-stream)
2011-08-30 14:23 UTC, Laurent BP
Details
Replacement for it: autotext\lang\it\standard.bau (48.26 KB, application/octet-stream)
2011-08-30 14:26 UTC, Laurent BP
Details
Replacement for km: autotext\lang\km\standard.bau (62.89 KB, application/octet-stream)
2011-08-30 14:31 UTC, Laurent BP
Details
Replacement for ko: autotext\lang\ko\standard.bau (42.22 KB, application/octet-stream)
2011-08-30 14:38 UTC, Laurent BP
Details
Replacement for mn: autotext\lang\mn\standard.bau (71.67 KB, application/octet-stream)
2011-08-30 14:41 UTC, Laurent BP
Details
Replacement for nl: autotext\lang\nl\standard.bau (42.46 KB, application/octet-stream)
2011-08-30 14:48 UTC, Laurent BP
Details
Replacement for pl: autotext\lang\pl\standard.bau (34.97 KB, application/octet-stream)
2011-08-30 14:54 UTC, Laurent BP
Details
Replacement for pt: autotext\lang\pt\standard.bau (60.00 KB, application/octet-stream)
2011-08-30 14:57 UTC, Laurent BP
Details
Replacement for pt-BR: autotext\lang\pt-BR\standard.bau (38.10 KB, application/octet-stream)
2011-08-30 15:01 UTC, Laurent BP
Details
Replacement for ru: autotext\lang\ru\standard.bau (62.89 KB, application/octet-stream)
2011-08-30 15:03 UTC, Laurent BP
Details
Replacement for sk: autotext\lang\sk\standard.bau (90.88 KB, application/octet-stream)
2011-08-30 15:07 UTC, Laurent BP
Details
Replacement for sl: autotext\lang\sl\standard.bau (67.06 KB, application/octet-stream)
2011-08-30 15:09 UTC, Laurent BP
Details
Replacement for sv: autotext\lang\sv\standard.bau (41.21 KB, application/octet-stream)
2011-08-30 15:12 UTC, Laurent BP
Details
Replacement for zh-CN: autotext\lang\zh-CN\standard.bau (39.96 KB, application/octet-stream)
2011-08-30 15:16 UTC, Laurent BP
Details
Replacement for zh-TW: autotext\lang\zh-TW\standard.bau (37.18 KB, application/octet-stream)
2011-08-30 15:20 UTC, Laurent BP
Details
Replacement for bg: autotext\lang\bg\standard.bau (56.47 KB, application/octet-stream)
2011-08-31 14:44 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2011-08-30 13:38:34 UTC
Created attachment 50701 [details]
Replacement for en-US: autotext\lang\en-US\standard.bau

Hello,

AutoText "numbered formula" in Writer suffers from two points that I like to raise, with their solutions:
- OOo issue 75665
http://openoffice.org/bugzilla/show_bug.cgi?id=75665  inserted formula is pre-formated with text in italic which is not the default behavior.
=> in standard.bau, you should modify:
standard.bau\FN\Obj0012D655\settings.xml : remove lines 12 and 13
 <config:config-item config:name="FontTextIsItalic" config:type="boolean">true</config:config-item>
 <config:config-item config:name="FontVariablesIsItalic" config:type="boolean">true</config:config-item>
- a space character is inserted after the formula
=> file standard.bau\FN\content.xml is wrong formated: a carriage return should be removed before </text:p> (line 48), so that lines 47 and 48 should be only one line:
 <text:p text:style-name="P1"><draw:object draw:style-name="fr1" draw:name="Objekt4" text:anchor-type="as-char" svg:x="0cm" svg:width="1.496cm" svg:height="0.577cm" draw:z-index="1" xlink:href="#./Obj0012D655" xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"/></text:p> 

This modification should be adapted to each locale: the name of the autotext may differ with locale, as well as directory name of the formula.

Standard.bau is unzipped, modified, rezipped, and attached to this bug for each locale.
Comment 1 Laurent BP 2011-08-30 13:45:11 UTC
I'm unable to unzip for bg locale, probably due to complex language. (I'm using fr WinXP operating system)
Comment 2 Laurent BP 2011-08-30 13:47:38 UTC
Created attachment 50703 [details]
Replacement for cs: autotext\lang\cs\standard.bau
Comment 3 Laurent BP 2011-08-30 13:51:07 UTC
Created attachment 50705 [details]
Replacement for da: autotext\lang\da\standard.bau
Comment 4 Laurent BP 2011-08-30 13:55:28 UTC
Created attachment 50706 [details]
Replacement for da: autotext\lang\da\standard.bau (corrected)

I went too fast with previous da attachment. This one replaces previous one.
Comment 5 Laurent BP 2011-08-30 14:02:28 UTC
Sorry,

I made a mistake (one more) when reziping standard.bau. Next ones should be correct.
Comment 6 Laurent BP 2011-08-30 14:04:11 UTC
Created attachment 50708 [details]
Replacement for en-US: autotext\lang\en-US\standard.bau (zip OK)

corrected zip directory
Comment 7 Laurent BP 2011-08-30 14:05:51 UTC
Created attachment 50709 [details]
Replacement for cs: autotext\lang\cs\standard.bau (zip OK)

Corrected zip directory
Comment 8 Laurent BP 2011-08-30 14:07:21 UTC
Created attachment 50710 [details]
Replacement for da: autotext\lang\da\standard.bau (zip OK)

Corrected zip directory
Comment 9 Laurent BP 2011-08-30 14:08:26 UTC
Created attachment 50711 [details]
Replacement for de: autotext\lang\de\standard.bau
Comment 10 Laurent BP 2011-08-30 14:12:20 UTC
Created attachment 50712 [details]
Replacement for en-GB: autotext\lang\en-GB\standard.bau
Comment 11 Laurent BP 2011-08-30 14:15:12 UTC
Created attachment 50713 [details]
Replacement for es: autotext\lang\es\standard.bau
Comment 12 Laurent BP 2011-08-30 14:18:25 UTC
Created attachment 50714 [details]
Replacement for eu: autotext\lang\eu\standard.bau
Comment 13 Laurent BP 2011-08-30 14:20:53 UTC
Created attachment 50715 [details]
Replacement for fr: autotext\lang\fr\standard.bau
Comment 14 Laurent BP 2011-08-30 14:23:47 UTC
Created attachment 50716 [details]
Replacement for hu: autotext\lang\hu\standard.bau
Comment 15 Laurent BP 2011-08-30 14:26:18 UTC
Created attachment 50717 [details]
Replacement for it: autotext\lang\it\standard.bau
Comment 16 Laurent BP 2011-08-30 14:28:25 UTC
ja seems already correct.
Comment 17 Laurent BP 2011-08-30 14:31:23 UTC
Created attachment 50718 [details]
Replacement for km: autotext\lang\km\standard.bau
Comment 18 Laurent BP 2011-08-30 14:38:23 UTC
Created attachment 50719 [details]
Replacement for ko: autotext\lang\ko\standard.bau

Correction different from other locales. Must be checked.
Comment 19 Laurent BP 2011-08-30 14:41:40 UTC
Created attachment 50720 [details]
Replacement for mn: autotext\lang\mn\standard.bau
Comment 20 Laurent BP 2011-08-30 14:48:42 UTC
Created attachment 50721 [details]
Replacement for nl: autotext\lang\nl\standard.bau

Correction different from other locales. Must be checked.
Comment 21 Laurent BP 2011-08-30 14:54:35 UTC
Created attachment 50723 [details]
Replacement for pl: autotext\lang\pl\standard.bau

Correction different from other locales. Must be checked.
Comment 22 Laurent BP 2011-08-30 14:57:24 UTC
Created attachment 50725 [details]
Replacement for pt: autotext\lang\pt\standard.bau
Comment 23 Laurent BP 2011-08-30 15:01:22 UTC
Created attachment 50726 [details]
Replacement for pt-BR: autotext\lang\pt-BR\standard.bau

Correction different from other locales. Must be checked.
Comment 24 Laurent BP 2011-08-30 15:03:56 UTC
Created attachment 50727 [details]
Replacement for ru: autotext\lang\ru\standard.bau
Comment 25 Laurent BP 2011-08-30 15:07:00 UTC
Created attachment 50728 [details]
Replacement for sk: autotext\lang\sk\standard.bau
Comment 26 Laurent BP 2011-08-30 15:09:39 UTC
Created attachment 50729 [details]
Replacement for sl: autotext\lang\sl\standard.bau
Comment 27 Laurent BP 2011-08-30 15:12:36 UTC
Created attachment 50730 [details]
Replacement for sv: autotext\lang\sv\standard.bau
Comment 28 Laurent BP 2011-08-30 15:16:41 UTC
Created attachment 50731 [details]
Replacement for zh-CN: autotext\lang\zh-CN\standard.bau

Correction different from other locales. Must be checked.
Comment 29 Laurent BP 2011-08-30 15:20:28 UTC
Created attachment 50732 [details]
Replacement for zh-TW: autotext\lang\zh-TW\standard.bau

Correction different from other locales. Must be checked.
Comment 30 Laurent BP 2011-08-30 15:22:58 UTC
Some locale had already modify the original autotext, and some different corrections were made to obtain the same result. These locales are indicated in the comments of the attachment.
Comment 31 pierre-yves samyn 2011-08-31 00:01:59 UTC
Hello 

French version tested with XP and Libo 3.3.4 and 3.4.3rc1

I confirm the proper functioning
Thank you for this contribution

Best Regards
Pierre-Yves
Comment 32 Caolán McNamara 2011-08-31 03:27:46 UTC
Some of the originals had empty mimetype entries, those are retained, but moved around, which made me wonder about
http://www.jejik.com/articles/2010/03/how_to_correctly_create_odf_documents_using_zip/
but on the other hand, lots already don't have an empty mimetype, so it doesn't appear to matter.
Comment 33 Caolán McNamara 2011-08-31 03:49:47 UTC
committed all of these as http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2f9ddfb7fd967ac785253105bd01cb2674c1682

I also rezipped the bg entry to fix its checksums, which I think was the problem, committed as http://cgit.freedesktop.org/libreoffice/core/commit/?id=2715e0482323f6f2b7369761b700c1a0b9a5c974 

http://cgit.freedesktop.org/libreoffice/core/plain/extras/source/autotext/lang/bg/standard.bau?id=2715e0482323f6f2b7369761b700c1a0b9a5c974 for direct download of that one if you want to have another go/look at it
Comment 34 Laurent BP 2011-08-31 14:44:20 UTC
Created attachment 50780 [details]
Replacement for bg: autotext\lang\bg\standard.bau

Modification must be checked.
Comment 35 Laurent BP 2011-08-31 14:46:20 UTC
All my submissions will be licensed LGPLv3+/MPLv1.1 combo unless I say otherwise.
Comment 36 Caolán McNamara 2011-09-01 08:59:52 UTC
http://cgit.freedesktop.org/libreoffice/core/commit/?id=5849ca749a262a4e4e42f019aa78275f23be5fdc

great thanks, that's a painful task to undertake.

In my dream-world all those files get stored in git unpacked, and the build packs them up into the final .bau, that would make modifying them much easier.